### Class

# Gtk EventControllerMotion

#### Description [src]

    final class Gtk.EventControllerMotion : Gtk.EventController
    {
      /* No available fields */
    }

Tracks the pointer position.

The event controller offers `GtkEventControllerMotion::enter` and `GtkEventControllerMotion::leave` signals, as well as `GtkEventControllerMotion:is-pointer` and `GtkEventControllerMotion:contains-pointer` properties which are updated to reflect changes in the pointer position as it moves over the widget.

#### Ancestors

- GtkEventController
- GObject

#### Constructors

###### gtk_event_controller_motion_new

Creates a new event controller that will handle motion events.

#### Instance methods

###### gtk_event_controller_motion_contains_pointer

Returns if a pointer is within `self` or one of its children.

###### gtk_event_controller_motion_is_pointer

Returns if a pointer is within `self`, but not one of its children.

##### Methods inherited from GtkEventController (13)

###### gtk_event_controller_get_current_event

Returns the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_device

Returns the device of the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_state

Returns the modifier state of the event that is currently being handled by the controller.

###### gtk_event_controller_get_current_event_time

Returns the timestamp of the event that is currently being handled by the controller.

###### gtk_event_controller_get_name

Gets the name of `controller`.

###### gtk_event_controller_get_propagation_limit

Gets the propagation limit of the event controller.

###### gtk_event_controller_get_propagation_phase

Gets the propagation phase at which `controller` handles events.

###### gtk_event_controller_get_widget

Returns the `GtkWidget` this controller relates to.

###### gtk_event_controller_reset

Resets the `controller` to a clean state.

###### gtk_event_controller_set_name

Sets a name on the controller that can be used for debugging.

###### gtk_event_controller_set_propagation_limit

Sets the event propagation limit on the event controller.

###### gtk_event_controller_set_propagation_phase

Sets the propagation phase at which a controller handles events.

###### gtk_event_controller_set_static_name

Sets a name on the controller that can be used for debugging.

since: 4.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.EventControllerMotion:contains-pointer

Whether the pointer is in the controllers widget or a descendant.

###### Gtk.EventControllerMotion:is-pointer

Whether the pointer is in the controllers widget itself, as opposed to in a descendent widget.

##### Properties inherited from GtkEventController (4)

###### Gtk.EventController:name

The name for this controller, typically used for debugging purposes.

###### Gtk.EventController:propagation-limit

The limit for which events this controller will handle.

###### Gtk.EventController:propagation-phase

The propagation phase at which this controller will handle events.

###### Gtk.EventController:widget

The widget receiving the `GdkEvents` that the controller will handle.

#### Signals

###### Gtk.EventControllerMotion::enter

Signals that the pointer has entered the widget.

###### Gtk.EventControllerMotion::leave

Signals that the pointer has left the widget.

###### Gtk.EventControllerMotion::motion

Emitted when the pointer moves inside the widget.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkEventControllerMotionClass {
      /* no available fields */
    }

No description available.